#!/bin/ksh

if [ ! -f setup.sh ]
then

  echo "ERROR: Run the  setup.sh  script-file in its directory!"

else

  set +u

  export TSMR1=`pwd`/bin/
  export SYSSRV1=`pwd`/bin/
  export TSMR2=`pwd`/bin
  export SYSSRV2=`pwd`/bin/
  export AMP2=`pwd`/bin
  export TSMRMSGFILE=$TSMR2/tsmr.msg

  export PGWROOT=`pwd`
  export TSMR1CONFIG=$PGWROOT/cfg/pgwtsmr1.ini
  export PGW1CONFIG=$PGWROOT/cfg/pgw1.cfg
  export TSMR2CONFIG=$PGWROOT/cfg/pgwtsmr2.ini
  export PGW2CONFIG=$PGWROOT/cfg/pgw2.cfg

  if [ -z "$PATH" ]
  then
    export PATH=$PGWROOT/bin
  else
    export PATH=$PATH:$PGWROOT/bin
  fi

  if [ -z "$LD_LIBRARY_PATH" ]
  then
    export LD_LIBRARY_PATH=$PGWROOT/bin
  else
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PGWROOT/bin
  fi

  if [ -z "$SHLIB_PATH" ]
  then
    export SHLIB_PATH=$PGWROOT/bin
  else
    export SHLIB_PATH=$SHLIB_PATH:$PGWROOT/bin
  fi

  echo "PGWROOT set as: $PGWROOT"

fi
