#!/usr/local/bin/gawk -f
#
# $Header: /cvs/common/k2/src/get_ob.awk,v 1.1 2006/06/16 14:03:45 laskait Exp $
BEGIN { 
  FS = "|"
# color constants
  reset  = "\033[0m"
  red    = "\033[1;31m"
  blue   = "\033[1;36m"
  yellow = "\033[1;33m"
  redb   = "\033[0;30;41m"
  blueb  = "\033[0;30;46m"
  greenb = "\033[0;30;42m"
}

{
  if (substr($1, 1, 1) == "0") mmts1();
  else mmts2();
}

function mmts2()
{
  system ("clear")
  gsub("[ ]","-",$1)
  gsub("[-]+",reset yellow "&", $1)
  print greenb $1 reset yellow "----+----------------------------" reset
  print redb "            Buy             " reset yellow "|" reset blueb "            Sell            " reset
#  print $3, $4, NF
  mm = $3 >= $4 ? $3 : $4
  for (a =0; a < mm; a++) 
  {
    if ($3 > a){
      b = a*12 + 4
      b1 = $(b+8)
      b2 = $(b+9)
      b3 = sprintf("%6d",$(b+7))
      b4 = sprintf("%5d",$(b+3))
    } else {
      b1 = "            "
      b2 = "            "
      b3 = "      "
      b4 = "     "
    }
    if ($4 > a){
      s = a*12 + 4 + $3*12
      s1 = $(s+8)
      s2 = $(s+9)
      s3 = sprintf("%6d",$(s+7))
      s4 = sprintf("%5d",$(s+3))
    } else {
      s1 = "            "
      s2 = "            "
      s3 = "      "
      s4 = "     "
    }
#    print red, b1, b2, b3, b4, yellow, "  |  ", blue, s4, s3, s2, s1, reset
    printf "%s%7.7s %7.7s %6s %5s%s|%s%5s %6s %7.7s %7.7s%s\n", red, b1, b2, b3, b4, yellow, blue, s4, s3, s2, s1, reset
  }
}

function mmts1()
{
  system ("clear")
  gsub("[ ]","-",$1)
  gsub("[-]+",reset yellow "&", $1)
  $1 = substr($1, 2)
  print greenb $1 reset yellow "----+--------------------------" reset
  print redb "                     Buy   " reset yellow "|" reset blueb "    Sell                  " reset
#  print $3, $4, NF
  mm = $3 >= $4 ? $3 : $4
  for (a =0; a < mm; a++) 
  {
    if ($3 > a){
      b = a*4 + 4
      b1 = $(b+1)
      b2 = $(b+4)
      b3 = sprintf("%6d",$(b+3))
      b4 = sprintf("%5d",$(b+2))
    } else {
      b1 = "            "
      b2 = " "
      b3 = "      "
      b4 = "     "
    }
    if ($4 > a){
      s = a*4 + 4 + $3*4
      s1 = $(s+1)
      s2 = $(s+4)
      s3 = sprintf("%6d",$(s+3))
      s4 = sprintf("%5d",$(s+2))
    } else {
      s1 = "            "
      s2 = " "
      s3 = "      "
      s4 = "     "
    }
#    print red, b1, b2, b3, b4, yellow, "  |  ", blue, s4, s3, s2, s1, reset
    printf "       %s%7.7s %6s %5s%s|%s%5s %6s %7.7s %s\n", red, b1, b3, b4, yellow, blue, s4, s3, s1, reset
  }
}
